//builder for fftw3 toolbox
//08/10/06 Alan.
// Copyright INRIA

//////////////////////////////////////////////////////
//put here the path of fftw header
HFFTWPATH="/usr/include/";

//put here the path+name of fftw library
//for windows only
LFFTWNAM="c:\\fftw-3.1.2\\libs\\Win\\libfftw3-3.lib";
//////////////////////////////////////////////////////

function tt=gd_func1()
  tt=get_absolute_file_path('builder.sce');
  end_char=part(tt,length(tt));
  if end_char=='/'|end_char=='\' then
    tt=part(tt,1:length(tt)-1);
  end
endfunction

//put here the path of the toolbox
PPATH=gd_func1();

rep=pwd();

if fileinfo(HFFTWPATH+'fftw3.h')==[] then
    printf("Can''t find fftw header : "+...
           "Please update builder.sce file.\n"+...
           "See README file for more informations.\n");
    return
end

if MSDOS then
  if fileinfo(LFFTWNAM)==[] then
    printf("Can''t find fftw library : "+...
           "Please update builder.sce file.\n"+...
           "See README file for more informations.\n");
    return
  end
end


//build interface
path='/routines';
files=basename(listfiles(PPATH+path+'/*.c'));
ldflag=LFFTWNAM;
cflag="-I"""+HFFTWPATH+""" -c";
libnam="intfftw3_lib";
chdir(PPATH+path);
ilib_for_link(files,files+'.o',[],"c","Makelib","loader.sce",libnam,ldflag,cflag);

//build doc
path='/help/eng';
chdir(PPATH+path);
xmltohtml('.',[],'html-rev.xsl','html');
xmltohtml('.',[],'html-rev.xsl');
path='/help/fr';
chdir(PPATH+path);
xmltohtml('.',[],'html-rev.xsl','html');
xmltohtml('.',[],'html-rev.xsl');

chdir(rep);

clear PPATH
clear path
clear files
clear libnam
clear rep
clear gd_func1
clear LFFTWNAM
clear HFFTWPATH