//loader of fftw3 toolbox
//04/10/06 Alan.
// Copyright INRIA

function tt=gd_func1()
  tt=get_absolute_file_path('loader.sce');
  end_char=part(tt,length(tt));
  if end_char=='/'|end_char=='\' then
    tt=part(tt,1:length(tt)-1);
  end
endfunction

// Put here the path of the toolbox
PPATH=gd_func1();

//////////////////////////////////////////////
// Put here the path and name of fftw library
if ~MSDOS then
 LFFTWNAM="/usr/lib/libfftw3.so";
else
 LFFTWNAM="c:\\fftw-3.1.2\\libfftw3-3.dll";
end
/////////////////////////////////////////////

if fileinfo(LFFTWNAM)==[] then
  printf("Can''t find fftw library : "+...
         "Please update loader.sce file.\n"+...
         "See README file for more informations.\n");
  return
end
link(LFFTWNAM);

//addinter fftw function
fftw_func=['fftw',...
            'fftw_flags',...
             'fftw_inplace',...
              'fftw_norm',...
               'pushfftw_plan',...
                'freefftw_plan'];
if ~MSDOS then
  addinter(PPATH+"/routines/libintfftw3_lib.so",...
           "intfftw3",...
           fftw_func);
else
  addinter(PPATH+"\routines\libintfftw3_lib.dll",...
           "intfftw3",...
           fftw_func);
end

//add doc
global LANGUAGE;
myhelps=[PPATH+'/help/'+LANGUAGE,"FFTW toolbox"];
i=find(%helps(:,2)=='FFTW toolbox');
if i==[] then
  %helps=[%helps;myhelps(1,:)];
else
  tt(1:size(i,'*'),1)=myhelps(1,1);
  tt(1:size(i,'*'),2)=myhelps(1,2);
  %helps(i,1)=tt(:,1);
  %helps(i,2)=tt(:,2);
end

clear i
clear tt
clear LANGUAGE
clear myhelps
clear PPATH
clear fftw_func
clear LFFTWNAM
clear gd_func1
